image: openjdk:8-jdk-buster

before_script:
  # Enable the usage of sources over https
  - apt-get update -yqq
  - apt-get install apt-transport-https -yqq
  # Add keyserver for SBT
  - echo "deb http://dl.bintray.com/sbt/debian /" | tee -a /etc/apt/sources.list.d/sbt.list
  - apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv 642AC823
  - apt-key adv --keyserver keyserver.ubuntu.com --recv-keys AA8E81B4331F7F50
  - apt-get install debian-keyring debian-archive-keyring -yqq
  - apt-key update
  # Install SBT
  - apt-get update -yqq
  - apt-get install sbt -yqq

stages:
  - buildwithserialization

buildwithserialization:
  stage: buildwithserialization
  script:
    - sbt compilerJVM/universal:packageBin
  artifacts:
    paths:
      - jvm/target/universal/kaitai-struct-compiler-0.9-SNAPSHOT.zip
